<?php

/**
 * Zend Framework (http://framework.zend.com/)
 *
 * @link      http://github.com/zendframework/ZendSkeletonApplication for the canonical source repository
 * @copyright Copyright (c) 2005-2013 Zend Technologies USA Inc. (http://www.zend.com)
 * @copyright Copyright (c) 2013-2023 Bareos GmbH & Co. KG
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 */

/**
 * This autoloading setup is really more complicated than it needs to be for most
 * applications. The added complexity is simply to reduce the time it takes for
 * new developers to be productive with a fresh skeleton. It allows autoloading
 * to be correctly configured, regardless of the installation method and keeps
 * the use of composer completely optional. This setup should work fine for
 * most users, however, feel free to configure autoloading however you'd like.
 */

// Composer autoloading
if (file_exists('vendor/autoload.php')) {
    $loader = include 'vendor/autoload.php';
}

$zf2Path = false;

if (is_dir('vendor/zendframework')) {
    $zf2Path = 'vendor/zendframework';
}
/*elseif (getenv('ZF2_PATH')) {      // Support for ZF2_PATH environment variable or git submodule
    $zf2Path = getenv('ZF2_PATH');
} elseif (get_cfg_var('zf2_path')) { // Support for zf2_path directive value
    $zf2Path = get_cfg_var('zf2_path');
}*/

if ($zf2Path) {
    if (isset($loader)) {
        $loader->add('Zend', $zf2Path);
    } else {
        include $zf2Path . '/Zend/Loader/AutoloaderFactory.php';
        Zend\Loader\AutoloaderFactory::factory(array(
            'Zend\Loader\StandardAutoloader' => array(
                'autoregister_zf' => true
            )
        ));
    }
} else {
    // Zend Framework available in normal include path? Use it.
    if (stream_resolve_include_path("Zend/Loader/AutoloaderFactory.php")) {
        include 'Zend/Loader/AutoloaderFactory.php';
        Zend\Loader\AutoloaderFactory::factory(array(
            'Zend\Loader\StandardAutoloader' => array(
                'autoregister_zf' => true
            )
        ));
    }
}

/*
try {
   if (!class_exists('Zend\Loader\AutoloaderFactory')) {
      throw new RuntimeException('
         Unable to load Zend Framework 2.<br /><br />
         Please install Zend Framework 2 package from your distribution repository.<br />
         If Zend Framework 2 is already installed, please set the include_path in your php.ini or<br />
         define a ZF2_PATH environment variable in your apache configuration file and/or do not forget<br />
         to restart your webserver.<br />');
   }
}
catch(Exception $e) {
   print $e->getMessage();
}
*/
